IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Line items

Invoice lines for booking invoices

The line item object

Attributes

iduuid

Unique identifier

booking_iduuid
bookings.id

Identifier of the related booking

invoice_iduuid | null
invoices.id

Identifier of the related invoice

service_iduuid | null
services.id

Identifier of the related service

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

amountinteger

Amount of the line item

fee_type"fee" | "deposit"

Type of the fee. fee or deposit

item_typetext

Type of the line item. Most commonly fee

nameMultiLanguageString

Name of the line item

quantityinteger

Quantity of the line item

The line item object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "booking_id": "00000000-0000-0000-0000-000000000000",
  "invoice_id": "00000000-0000-0000-0000-000000000000",
  "service_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:31:49.923Z",
  "updated_at": "2026-03-12T05:31:49.923Z",
  "amount": 0,
  "fee_type": "fee",
  "item_type": "rent",
  "name": {
    "default": "Hello",
    "nl-NL": "Hallo"
  },
  "quantity": 0
}

List line items

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid>
bookings.id

Identifier of the related booking

invoice_idFilter<uuid | null>
invoices.id

Identifier of the related invoice

service_idFilter<uuid | null>
services.id

Identifier of the related service

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

amountFilter<integer>

Amount of the line item

fee_typeFilter<"fee" | "deposit">

Type of the fee. fee or deposit

item_typeFilter<text>

Type of the line item. Most commonly fee

nameFilter<MultiLanguageString>

Name of the line item

quantityFilter<integer>

Quantity of the line item

Responses

200

A list of line items with the selected columns

206

Partial Content

GET /line_items
curl -X GET "https://api.bookingmood.com/v1/line_items?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create line items

Body

Partial<LineItem> | Array<Partial<LineItem>>

Responses

201

The newly created line items with the selected columns

POST /line_items
curl -X POST "https://api.bookingmood.com/v1/line_items" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete line items

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid>
bookings.id

Identifier of the related booking

invoice_idFilter<uuid | null>
invoices.id

Identifier of the related invoice

service_idFilter<uuid | null>
services.id

Identifier of the related service

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

amountFilter<integer>

Amount of the line item

fee_typeFilter<"fee" | "deposit">

Type of the fee. fee or deposit

item_typeFilter<text>

Type of the line item. Most commonly fee

nameFilter<MultiLanguageString>

Name of the line item

quantityFilter<integer>

Quantity of the line item

Responses

204

The deleted line items with the selected columns

DELETE /line_items
curl -X DELETE "https://api.bookingmood.com/v1/line_items" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update line items

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid>
bookings.id

Identifier of the related booking

invoice_idFilter<uuid | null>
invoices.id

Identifier of the related invoice

service_idFilter<uuid | null>
services.id

Identifier of the related service

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

amountFilter<integer>

Amount of the line item

fee_typeFilter<"fee" | "deposit">

Type of the fee. fee or deposit

item_typeFilter<text>

Type of the line item. Most commonly fee

nameFilter<MultiLanguageString>

Name of the line item

quantityFilter<integer>

Quantity of the line item

Body

Partial<LineItem>

Responses

204

The updated line items with the selected columns

PATCH /line_items
curl -X PATCH "https://api.bookingmood.com/v1/line_items" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'